Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.xml
[Java] Class NamespaceBuilder

    java.lang.Object
      groovy.xml.NamespaceBuilder

    public class NamespaceBuilder
    extends Object

A helper class for creating namespaces for GroovyMarkup

Authors:
  James Strachan

Version:
  \$Revision: 14125 \$

Constructor Summary
`NamespaceBuilder(BuilderSupport builder)`

Method Summary
`NamespaceBuilderSupport` | `declareNamespace(Map ns)`
`NamespaceBuilderSupport` | `namespace(String uri)`
`NamespaceBuilderSupport` | `namespace(String uri, String prefix)`
`static NamespaceBuilderSupport` | `newInstance(BuilderSupport builder, String uri)`
`static NamespaceBuilderSupport` | `newInstance(BuilderSupport builder)`
`static NamespaceBuilderSupport` | `newInstance(BuilderSupport builder, String uri, String prefix)`
`static NamespaceBuilderSupport` | `newInstance(Map nsMap, BuilderSupport builder)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### NamespaceBuilder

    public NamespaceBuilder(BuilderSupport builder)

Method Detail

### declareNamespace

    public NamespaceBuilderSupport declareNamespace(Map ns)

### namespace

    public NamespaceBuilderSupport namespace(String uri)

### namespace

    public NamespaceBuilderSupport namespace(String uri, String prefix)

### newInstance

    public static NamespaceBuilderSupport newInstance(BuilderSupport builder, String uri)

### newInstance

    public static NamespaceBuilderSupport newInstance(BuilderSupport builder)

### newInstance

    public static NamespaceBuilderSupport newInstance(BuilderSupport builder, String uri, String prefix)

### newInstance

    public static NamespaceBuilderSupport newInstance(Map nsMap, BuilderSupport builder)

Copyright © 2003-2010 The Codehaus. All rights reserved.